.formContainer{
    background-color: #a7bcff;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;

    .formWrapper{
        background-color: white;
        display: flex;
        flex-direction: column;
        gap: 10px;
        align-items: center;
        border-radius: 10px;
        padding: 20px 60px;

        .logo{
            color: #5d5b9d;
            font-weight: bold;
            font-size: 24px;
        }

        .title{
            color: #5d5b9d;
            font-size: 12px;   
        }

        form{
            display: flex;
            flex-direction: column;
            gap: 15px;

            input{
                border: none;
                border-bottom: 1px solid #a7bcff;
                padding: 15px;
                width: 250px;
                outline: none;

                &::placeholder{
                    color: rgb(175, 175, 175);
                }
            }

            button{
                background-color: #a7bcff;
                color: white;
                padding: 10px;
                border: none;
                cursor: pointer;
            }
            label{
                display: flex;
                align-items: center;
                gap: 10px;
                color: #8da4f1;
                cursor: pointer;
                font-size: 12px;

                .img{
                    width: 32px !important;
                }
            }
        }
        p{
            color: #5d5b9d;
            font-size: 12px;
            margin-top: 10px;
            text-align: center;

            .span{
                color: #5d5b9d;
                font-weight: bold;
                // font-size: 20px;
            }
        }
    }
}

.home{
    background-color: #a7bcff;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;

    .container{
        border: 1px solid #fff;
        width: 65%;
        height: 80%;
        border-radius: 10px;
        display: flex;
        overflow: hidden;

        .sidebar{
            flex: 1;
            background-color: #3e3c61;

            .navbar{
                display: flex;
                align-items: center;
                justify-content: space-between;
                padding: 10px;
                color: #ddddf7;
                height: 50px;
                background-color: #2f2d52;

                .logo{
                    font-weight: bold;
                }

                .user{
                    display: flex;
                    gap: 10px;

                    img{
                        background-color: #ddddf7;
                        height: 24px;
                        width: 24px;
                        border-radius: 50%;
                    }

                    button{
                        background-color: #5d5b8d;
                        color: #ddddf7;
                        border: none;
                        font-size: 10px;
                        cursor: pointer;
                    }
                }
            }

            .search{
                border-bottom: 1px solid gray;

                .searchForm{
                    padding: 10px;
                    input{
                        background-color: transparent;
                        border: none;
                        outline: none;
                        color: white;

                        &::placeholder{
                            color: lightgray;
                        }

                    }
                }

                
            }
            .userChat{
                display: flex;
                align-items: center;
                padding: 10px;
                gap: 10px;
                color: white;
                cursor: pointer;

                &:hover{
                    background-color: #2f2d52;
                }
                img{
                    width: 50px;
                    height: 50px;
                    border-radius: 50%;
                    object-fit: cover;
                }

                .usrChatInfo{
                    span{
                        font-size: 18px;
                        font-weight: 500;
                    }
                    p{
                        font-size: 14px;
                        margin: 0;
                    }
                }
            }

            
        }

        .chat{
            flex: 2;

            .chatInfo{
                height: 50px;
                display: flex;
                align-items: center;
                justify-content: space-between;
                padding: 10px;
                color: lightgray;
                background-color: #5d5b8d;
                
                .chatIcons{
                    display: flex;
                    gap: 10px;
                }
            }

            .messages{
                background-color: #ddddf7;
                padding: 10px;
                height: calc(100% - 160px);
                overflow: scroll;

                    -ms-overflow-style: none;  /* IE and Edge */
                    scrollbar-width: none;  /* Firefox */
                    &::-webkit-scrollbar {
                        display: none;
                    }

                .message{
                    display: flex;
                    gap: 20px;
                    margin-bottom: 20px;

                    .messageInfo{
                        display: flex;
                        flex-direction: column;
                        color: gray;
                        font-weight: 300;
                        .img{
                            width: 40px;
                            height: 40px;
                            border-radius: 50%;
                            object-fit: cover;
                        }
                    }
                    .messageContent{
                        max-width: 80%;
                        display: flex;
                        flex-direction: column;
                        gap: 10px;

                        p{
                            background-color: white;
                            padding: 10px 20px;
                            border-radius: 0px 10px 10px 10px;
                            max-width: max-content;
                        }
                        .img{
                            width: 50%;
                        }
                    }

                    &.owner{
                        flex-direction: row-reverse;
                        .messageContent{
                            align-items: flex-end;

                            p{
                                background-color: #8da4f1;
                                color: white;
                                border-radius: 10px 0px 10px 10px;
                            }
                        }

                        
                    }
                }
            }

            .input{
                height: 50px;
                background-color: #fff;
                padding: 10px;
                display: flex;
                align-items: center;
                justify-content: space-between;

                input{
                    width: 100%;
                    border: none;
                    outline: none;
                    color: #2f2d52;
                    font-size: 18px;

                    &::placeholder{
                        color: lightgray;
                    }
                }

                .send{
                    display: flex;
                    align-items: center;
                    gap: 10px;

                    .attach{
                        // height: 24px;
                        cursor: pointer;
                    }

                    button{
                        border: none;
                        padding: 10px 15px;
                        color: white;
                        background-color: #8da4f1;
                    }
                }
            }
        }
    }   

}